| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iObjectModelListener Struct Reference
[Geometry utilities]

Implement this class if you're interested in hearing about when the object model changes. More...

`#include <imesh/objmodel.h>`

Inheritance diagram for iObjectModelListener:

[legend]
List of all members.

## Public Member Functions
virtual void | ObjectModelChanged (iObjectModel *model)=0
| The object model has changed.

## Detailed Description

Implement this class if you're interested in hearing about when the object model changes.

Definition at line 45 of file objmodel.h.

## Member Function Documentation

virtual void iObjectModelListener::ObjectModelChanged | ( | iObjectModel * | model | ) | `[pure virtual]`

The object model has changed.

The documentation for this struct was generated from the following file:

- imesh/objmodel.h